"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchContextKey = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const search_1 = require("@opensumi/ide-core-browser/lib/contextkey/search");
let SearchContextKey = class SearchContextKey {
    initScopedContext(dom) {
        this._contextKeyService = this.globalContextkeyService.createScoped(dom);
        this.searchViewFocusedKey = search_1.SearchViewFocusedKey.bind(this._contextKeyService);
        this.searchInputBoxFocusedKey = search_1.SearchInputBoxFocusedKey.bind(this._contextKeyService);
        this.hasSearchResults = search_1.HasSearchResults.bind(this._contextKeyService);
        this.searchViewVisibleKey = search_1.SearchViewVisibleKey.bind(this._contextKeyService);
    }
    get service() {
        return this._contextKeyService;
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_core_browser_1.IContextKeyService),
    tslib_1.__metadata("design:type", Object)
], SearchContextKey.prototype, "globalContextkeyService", void 0);
SearchContextKey = tslib_1.__decorate([
    (0, di_1.Injectable)()
], SearchContextKey);
exports.SearchContextKey = SearchContextKey;
//# sourceMappingURL=search-contextkey.js.map