import { CompositeTreeNode, TreeNode } from '@opensumi/ide-components';
import { URI } from '@opensumi/ide-core-common';
import { ContentSearchResult, ISearchTreeService } from '../../common/content-search';
export declare class SearchRoot extends CompositeTreeNode {
    static is(node: SearchFileNode | SearchRoot): node is SearchRoot;
    constructor(tree: ISearchTreeService);
    get expanded(): boolean;
}
export declare class SearchFileNode extends CompositeTreeNode {
    contentResults: ContentSearchResult[];
    description: string;
    tooltip: string;
    icon: string;
    resource: URI;
    constructor(tree: ISearchTreeService, contentResults: ContentSearchResult[], description: string, tooltip: string, icon: string, resource: URI, parent: SearchRoot);
    get displayName(): string;
    get badge(): number;
    get highlight(): {};
}
export interface ISearchHighlightRange {
    start: number;
    end: number;
}
export declare class SearchContentNode extends TreeNode {
    contentResult: ContentSearchResult;
    description: string;
    highlight: ISearchHighlightRange;
    resource: URI;
    constructor(tree: ISearchTreeService, contentResult: ContentSearchResult, description: string, highlight: ISearchHighlightRange, resource: URI, parent: SearchFileNode | undefined);
    get displayName(): string;
    get tooltip(): string;
}
//# sourceMappingURL=tree-node.defined.d.ts.map