"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchContentNode = exports.SearchFileNode = exports.SearchRoot = void 0;
const ide_components_1 = require("@opensumi/ide-components");
class SearchRoot extends ide_components_1.CompositeTreeNode {
    static is(node) {
        return !!node && !node.parent;
    }
    constructor(tree) {
        super(tree, undefined);
    }
    get expanded() {
        return true;
    }
}
exports.SearchRoot = SearchRoot;
class SearchFileNode extends ide_components_1.CompositeTreeNode {
    constructor(tree, contentResults, description = '', tooltip, icon, resource, parent) {
        super(tree, parent);
        this.contentResults = contentResults;
        this.description = description;
        this.tooltip = tooltip;
        this.icon = icon;
        this.resource = resource;
        this.isExpanded = true;
    }
    get displayName() {
        return this.resource.displayName;
    }
    get badge() {
        return this.branchSize;
    }
    get highlight() {
        return {};
    }
}
exports.SearchFileNode = SearchFileNode;
class SearchContentNode extends ide_components_1.TreeNode {
    constructor(tree, contentResult, description = '', highlight, resource, parent) {
        super(tree, parent);
        this.contentResult = contentResult;
        this.description = description;
        this.highlight = highlight;
        this.resource = resource;
    }
    get displayName() {
        return '';
    }
    get tooltip() {
        if (this.description && this.highlight) {
            const { start, end } = this.highlight;
            return `${this.description.slice(0, start)}${this._tree.replaceValue || this.description.slice(start, end)}${this.description.slice(end)}`.slice(0, 999);
        }
        return '';
    }
}
exports.SearchContentNode = SearchContentNode;
//# sourceMappingURL=tree-node.defined.js.map